import { A as AppType } from "./AppType.js";
import { T as Trans, G as GlobalPath, f as Button } from "./index.js";
import { b as brokenRocket } from "./brokenRocket.js";
import { s as starBgGradient } from "./starBgGradient.js";
import React__default from "react";
import { Link } from "react-router-dom";
import "./CommonError2.js";
import "./dateFns.js";
import "./validator.js";
import "./reactPlayer.js";
import "./reactSlick.js";
class Error500Page extends React__default.Component {
  render() {
    const isLoginApp = AppType.getAppType() === AppType.APP_TYPE.Login;
    return /* @__PURE__ */ React__default.createElement("div", {
      className: "errorPage",
      style: { backgroundImage: `url(${starBgGradient})` }
    }, /* @__PURE__ */ React__default.createElement("div", {
      className: "errorPageContentWrapper error500"
    }, /* @__PURE__ */ React__default.createElement("div", {
      className: "errorPageContent"
    }, /* @__PURE__ */ React__default.createElement("img", {
      src: brokenRocket,
      alt: "space ship alien",
      loading: "lazy"
    }), /* @__PURE__ */ React__default.createElement("div", {
      className: "errorPageText"
    }, /* @__PURE__ */ React__default.createElement("h2", {
      className: "textHeading"
    }, /* @__PURE__ */ React__default.createElement(Trans, {
      i18nKey: "ErrorPage500.title"
    }, "Internal Server Error")), /* @__PURE__ */ React__default.createElement("div", {
      className: "textContent"
    }, /* @__PURE__ */ React__default.createElement(Trans, {
      i18nKey: "ErrorPage500.textContent"
    }, /* @__PURE__ */ React__default.createElement("p", null, "Don't worry, our team on Mars is working hard to fix this!"), /* @__PURE__ */ React__default.createElement("p", null, "For now let's retreat to our home page.")), /* @__PURE__ */ React__default.createElement("div", {
      className: "buttonWrapper"
    }, /* @__PURE__ */ React__default.createElement(Link, {
      to: isLoginApp ? "/login" : GlobalPath.Home.link
    }, /* @__PURE__ */ React__default.createElement(Button, {
      className: "btn btn-primary"
    }, isLoginApp ? /* @__PURE__ */ React__default.createElement(Trans, {
      i18nKey: "button.backToLogin"
    }, "Back To Login") : /* @__PURE__ */ React__default.createElement(Trans, {
      i18nKey: "ErrorPage500.buttonAction"
    }, "Back To Home")))))))));
  }
}
export { Error500Page as default };
